Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.describeprocess
Class ProcessDescriptions

    java.lang.Object
      org.deegree.ogcwebservices.wps.describeprocess.ProcessDescriptions

    public class ProcessDescriptions

extends Object

ProcessDescriptions.java Created on 09.03.2006. 22:37:58h WPS DescribeProcess operation response.

Since:
  2.0
Version:
  1.0.
Author:
  Christian Kiehle, Christian Heier

Field Summary
`protected List<ProcessDescription>` | `processDescription` Ordered list of one or more full Process descriptions, listed in the order in which they were requested in the DescribeProcess operation request.

Constructor Summary
`ProcessDescriptions(List<ProcessDescription> processDescriptionList)`

Method Summary
`List<ProcessDescription>` | `getProcessDescription()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### processDescription

    protected List<ProcessDescription> processDescription

  Ordered list of one or more full Process descriptions, listed in the order in which they were requested in the DescribeProcess operation request.

Constructor Detail

### ProcessDescriptions

    public ProcessDescriptions(List<ProcessDescription> processDescriptionList)

Parameters:
  `processDescriptionList` -

Method Detail

### getProcessDescription

    public List<ProcessDescription> getProcessDescription()

  Returns:
    Returns the processDescription.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org